#ifndef SDLPP_HPP_MOUSE
#define SDLPP_HPP_MOUSE

#include "sdlpp_common.hpp"
#include "sdlpp_renderer.hpp"
#include "sdlpp_renderobject.hpp"
#include "sdlpp_vector.hpp"

namespace SDLPP {
class SDLPPSCOPE Mouse {
public:
    static Vec2D< int > getMousePosition();
    static Vec2D< double >
    getMousePositionDouble( const Renderer &r, ObjectAlignment alignment_x,
                            ObjectAlignment alignment_y );
};
} // end of namespace SDLPP

#endif
